## Tcl8.6.2/Tk8.6.2 Documentation > Tk C API, version 8.6.2 > AddOption

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

  NAME
    Tk_AddOption — Add an option to the option database
  SYNOPSIS
    #include <tk.h>
    void
    Tk_AddOption(tkwin, name, value, priority)
  ARGUMENTS
  DESCRIPTION
    20
    40
    60
    80
  KEYWORDS

### NAME

Tk_AddOption — Add an option to the option database

### SYNOPSIS

#include <tk.h>
void
Tk_AddOption(tkwin, name, value, priority)

### ARGUMENTS

Tk_Window tkwin (in)
  Token for window.

const char *name (in)
  Multi-element name of option.

const char *value (in)
  Value of option.

int priority (in)
  Overall priority level to use for option.

### DESCRIPTION

This procedure is invoked to add an option to the database associated with tkwin's main window. Name contains the option being specified and consists of names and/or classes separated by asterisks or dots, in the usual X format. Value contains the text string to associate with name; this value will be returned in calls to Tk_GetOption. Priority specifies the priority of the value; when options are queried using Tk_GetOption, the value with the highest priority is returned. Priority must be between 0 and TK_MAX_PRIO. Some common priority values are:

20
  Used for default values hard-coded into widgets.

40
  Used for options specified in application-specific startup files.

60
  Used for options specified in user-specific defaults files, such as .Xdefaults, resource databases loaded into the X server, or user-specific startup files.

80
  Used for options specified interactively after the application starts running.

### KEYWORDS

class, name, option, add
Copyright © 1998-2000 by Scriptics Corporation.